DWARF_VENDOR_EXT(3) | Library Functions Manual | DWARF_VENDOR_EXT(3)

# NAME

`dwarf_vendor_ext` — add vendor-specific macro information to a DWARF producer instance

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

int
`dwarf_vendor_ext`(Dwarf_P_Debug dbg, Dwarf_Unsigned constant, char *string, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_vendor_ext`() adds a vendor-specific macro information entry to a DWARF producer instance.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument constant specifies a constant value for the macro information entry.

Argument string point to a NUL-terminated string containing the string value for the macro information entry.

If argument err is not `NULL`, it will be used to store error information in case of an error.

The meaning of the arguments constant and string are not defined by the DWARF specification, but are instead governed by application and vendor conventions.

# RETURN VALUES

On success, function `dwarf_vendor_ext`() returns `DW_DLV_OK`. In case of an error, function `dwarf_vendor_ext`() returns `DW_DLV_ERROR` and sets the argument err.

# ERRORS

Function `dwarf_vendor_ext`() can fail with:

[`DW_DLE_ARGUMENT`]
  Either arguments dbg or string was `NULL`.
[`DW_DLE_MEMORY`]
  An out of memory condition was encountered during the execution of the function.

# SEE ALSO

dwarf(3), dwarf_def_macro(3), dwarf_end_macro_file(3), dwarf_producer_init(3), dwarf_producer_init_b(3), dwarf_start_macro_file(3), dwarf_undef_macro(3)

September 25, 2011 | NetBSD 11.0